 	 
setattributes
Enables you to change the attributes of an SUM node or session. The setattributes command might return an invalid parameter notice if the permissions are not correct, or if either the parameter is not part of the requested set or if the value is not allowed.

NOTE:
The setattributes options and their values are separated by the equals sign (=). Do not add a space before and after the equals sign in any option and value combination.

To view a list of attributes you can change, use the command getattributes. The available attributes change based on the nodes and baselines added in each session. For example:

smartupdate /getattributes /session (Windows)

smartupdate /getattributes /nodes (Windows)

Syntax

smartupdate setattributes --nodes [<nodelist>] attribute1=value1 attribute2=value2

smartupdate setattributes --session attribute1=value1

Assign session attributes in the interactive CLI:

smartupdate setattributes --session <attribute>=<value> (Linux)

smartupdate setattributes /session <attribute>=<value> (Windows)

Parameters

--nodes [<nodelist>] attribute=value
Specify the nodes and attributes that you want to apply to nodes.

--session attribute=value
Specify the session attribute you want to apply. Session attributes are global.

Session parameter options

auto_save_session
[true|false]

auto_save_session_time
<integer>—The time in minutes. The default is 15 minutes.

engine_mode
[debug|release]

software
[true|false]—This value defines the option for all nodes added in this session.

firmware
[true|false]—This value defines the option for all nodes added in this session.

rewrite
[true|false]—This value defines the option for all nodes added in this session.

downgrade
[true|false]—This value defines the option for all nodes added in this session.

language
[en|ja|cn]

verbosity
[normal|verbose|veryverbose]

normal—The default amount of information provided by SUM about a deployment.
verbose—Provides more details about a deployment if information is available.
veryverbose—Provides more details about a deployment if information is available.
verbose
[true|false]

smartupdate setattributes /nodes verbose=true

Determines the amount of details SUM provides during deployment.

report_dir
[directory_path]—Directory path where you want SUM to save reports. For example: C:\SUM_reports\.

open_firewall
[true|false]

Optional parameter that allows SUM to open the HTTP and HTTPs ports for external communication. Also used to open the ports for remote node functionality and for remote browser access.

Node parameter options

Use_vCenter
Options for VMware nodes:

[true|false]

If you set this attribute as true, enter the following settings:

vcenter_host—IP address for the VMware vCenter node.
vcenter_username—Username for the VMware vCenter node.
vcenter_password—Password for the user connecting to the VMware vCenter node.
These parameters can also be set as session attributes.

encryption_key
Option:

String of a minimum of eight characters.

Required parameter for VC nodes with FIPS mode enabled. SUM uses the encryption key to encrypt the configuration saved to disk during the update process. This value is independent and does not need to match the VC password.

Assign this parameter after successful completion of VC inventory.

ethactorder
Possible values:

ODDEVEN/PARALLEL/SERIAL/MANUAL, the default value is ODDEVEN.

Use this command to determine VC-Enet module activation order.

ilo_username
Possible values:

<ilo username>

iLO username with Administrator privileges for Windows and Linux Gen10 target nodes whose iLO 5 is in any of the high security modes.

ilo_password
Possible values:

<ilo password>

Password for iLO Administrator user.

fcactorder
Possible values:

ODDEVEN/PARALLEL/SERIAL/MANUAL, the default value is SERIAL.

Use this command to determine VC–FC activation order for VC target.

ethactdelay
Valid entries:

0–60 minutes. The default is 0 minutes.

Use this command to determine the time, in minutes, between activating or rebooting VC-Enet modules for VC target.

fcactdelay
Valid entries:

0–60 minutes. The default is 0 minutes.

Use this command to determine the time, in minutes, between activating or rebooting VC-FC modules.

use_sshkey
(Linux nodes only)

Potential options:

true
false
Other attributes:

privatekeyfile
– Enter the address for the private key. The private key must be in PEM format.

passphrase
– (Optional) Enter the passphrase for the private key.

These parameters can also be set as session attributes.

no_mgmt
Windows and Linux targets

Potential options:

true
false
No AMS, SNMP, or WBEM Providers are selected for deployment.

The attribute must be set before node inventory so that the install set is updated. Setting it after node inventory will not impact the install set created.

use_snmp
For Gen8/9 Windows and Linux targets.

Windows: Selects the HPE Insight Management agent (SNMP agent) for deploy along with other components.

Linux: Selects sm-templates and snmp-agent rpm components along with other components.

Potential options:

true
false
SUM deploys SNMP components.

The attribute must be set before node inventory so that the install set is updated. Setting it after node inventory will not impact the install set created.

use_wmi
(Windows only)

Potential options:

true
false
SUM deploys WBEM Provider components. (Gen8/9 only)

The attribute must be set before node inventory so that the install set is updated. Setting it after node inventory will not impact the install set created.

use_ams
(Gen9 and later)

Potential options:

true
false
SUM deploys AMS components to both Windows and Linux systems.

The attribute must be set before node inventory so that the install set is updated. Setting it after node inventory will not impact the install set created.

skip_prereqs = <true|false>
By default SUM installs the CHIF driver on Windows nodes. Use the true option to skip installing the prerequisite self-inventory components, such as the CHIF driver.

ignore_tpm
Potential options:

[true|false]

This parameter tells SUM to ignore the TPM warning message when a TPM or TM module is installed on a server.

This parameter is supported on server and iLO nodes.

on_failed_dependency
[omithost|omitcomponent|force]

omithost—SUM skips the host if it discovers a dependency failure. (Default)
omitcomponent—SUM skips components with failed dependencies. Other components on the node are deployed.
force—SUM forces the components with a failed dependency to deploy.
ignore_warnings
Potential options:

[true|false]

This parameter tells SUM to ignore warnings if it encounters any. Some errors are:
Pending iLO 5 task queue warning.

Exception task queue warning.

iLO 5 or iSUT warnings.

TPM/TM warnings.

Low disk space.

action
Valid options:

ifneeded, always, never

Determines the reboot options for this node.

delay
Valid entries:

60 - 3600 (in seconds)

Delays the reboot of the server for the length of time specified in seconds.

Defaults to 60 if the value provided is < 60 and 3600 if the value provided is > 3600.

message
Valid entries:

<Reboot message>

Displays the specified reboot message on remote consoles connected to the server that will be rebooted.

iLO 5 parameters

save_install_set <true/false>
True: Saves the install set on the iLO Repository.

False: (Default) Does not save the install set on the iLO Repository.

install_set_name <SPP_baseline>
Provide the name of the install set to save on the iLO Repository. Valid only for SPP baselines.

install_set_description <description>
Saves the description you assign the install set.

manually_manage_iLO_repository = <true>
True: Prevents SUM from automatically removing install sets to make room for new install sets.

False (Default)

update_existing_recoveryset<true/false>
True: Updates the existing recovery set in iLO Repository with new firmware versions of iLO, BIOS, CPLD, IE, and ME (IE and ME only for Intel Processor) from current deployment.

False (Default): Does not update existing recovery set in iLO Repository.

Superdome X parameter options

skip_missing_compsig
Possible values: [TRUE|FALSE]

Skips deploying components that lack component signature files. The default value is false.

update_type
[ALL/COMPLEX/PARTITIONS]—This value tells SUM what to Superdome X nodes to update.

device_list
[devicelist]—This value tells SUM which Superdome X nodes you want to update.

reboot_list
[rebootlist]—This value tells SUM which Superdome X nodes to reboot after deployment.

Downgrade and rewrite parameter options

The following describes GUI downgrade and rewrite combinations and the corresponding interactive CLI parameters:

Software only
smartupdate setattributes /nodes localhost rewrite=false downgrade=false firmware=false software=true

Firmware only
smartupdate setattributes /nodes localhost rewrite=false downgrade=false firmware=true software=false

Firmware and software
smartupdate setattributes /nodes localhost rewrite=false downgrade=false firmware=true software=true

Downgrade software
smartupdate setattributes /nodes localhost rewrite=false downgrade=true firmware=false software=true

Downgrade firmware
smartupdate setattributes /nodes localhost rewrite=false downgrade=true firmware=true software=false

Downgrade both
smartupdate setattributes /nodes localhost rewrite=false downgrade=true firmware=true software=true

Rewrite software
smartupdate setattributes /nodes localhost rewrite=true downgrade=false firmware=false software=true

Rewrite firmware
smartupdate setattributes /nodes localhost rewrite=true downgrade=false firmware=true software=false

Rewrite both
smartupdate setattributes /nodes localhost rewrite=true downgrade=false firmware=true software=true

Rewrite and downgrade software
smartupdate setattributes /nodes localhost rewrite=true downgrade=true firmware=false software=true

Rewrite and downgrade firmware
smartupdate setattributes /nodes localhost rewrite=true downgrade=true firmware=true software=false

Rewrite and downgrade both
smartupdate setattributes /nodes localhost rewrite=true downgrade=true firmware=true software=true

Windows usage

C:\> smartupdate setattributes /nodes 10.0.1.5 firmware=true software=true rewrite=true downgrade=true

C:\> smartupdate setattributes /nodes 10.0.1.5 update_type=all

C:\> smartupdate setattributes /session open_firewall=yes

C:\> smartupdate setattributes /nodes 10.0.0.4 use_vcenter=true vcenter_host=10.0.0.1 vcenter_username=test vcenter_password=password

Linux usage

$ ./smartupdate setattributes --nodes 10.0.1.5 firmware=true software=true rewrite=true downgrade=true

$ ./smartupdate setattributes --nodes 10.0.1.5 update_type=all

$ ./smartupdate setattributes -session open_firewall=yes

$ ./smartupdate setattributes --nodes 10.0.0.5 use_vcenter=true vcenter_host=10.0.0.1 vcenter_username=test vcenter_password=password

Return codes
SUCCESS_NO_REBOOT
Windows: 0

Linux: 0

Text: The command was successful.

SUCCESS_REBOOT
Windows: 1

Linux: 1

Text: The command was successful but a reboot is required.

SUCCESS_NOT_REQUIRED
Windows: 3

Linux: 3

Text: The command completed successfully, but was not required or everything is already current.

FAILURE_GENERAL
Windows: -1

Linux: 255

Text: A general failure occurred. For details, see the logs.

FAILURE_BAD_PARM
Windows: -2

Linux: 254

Text: A bad input parameter was encountered. For details, see the logs.

FAILURE_COMPONENT_FAILED
Windows: -3

Linux: 253

Text: The installation of the component failed.

FAILURE_COMMAND_FAILED
Windows: -4

Linux: 252

Text: The command failed. For details, see the logs.

 	 	 